-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/DEFECT_81292.sqv   1.0   Sep 04 2001 15:25:46   BRENT  $
--
-- DEFECT_81292.sql
--
-- Module Description
--   Part of solution for defect 81292. Uncovered after fix for original reported problem.
--   opc_app_path_detail table in Object database no longer has foreign key relationship
--   to opc_app_aggr.

USE Object
GO


IF EXISTS (SELECT * FROM sysobjects WHERE name = 'opc_app_path_det_app_FK')
BEGIN
  PRINT 'Dropping foreign key constraint opc_app_path_det_app_FK from opc_app_path_detail table'
  ALTER TABLE opc_app_path_detail DROP CONSTRAINT opc_app_path_det_app_FK
END
