-- archive/db/sql/OW51423.sql
-- SID 1.1
-- Date Modified: 01/09/26 15:00
-- Defect OW51423 - INSTANCES OF DISTRIBUTED OBJECTS NOT AUTOMATICALLY               

SET NOCOUNT ON

-- Standard transaction logic
DECLARE @tcount INT
SELECT @tcount = @@TRANCOUNT
IF @tcount = 0
  BEGIN TRAN defect_OW51423
ELSE
  SAVE TRAN defect_OW51423

DECLARE @lobcid INT

-- Get LOBC ID from link
SELECT @lobcid=dst_id FROM link 
  WHERE src_cid='ROOT' AND src_id=0 AND dst_cid='LOBC' AND deleted=0 AND link_type='LOBC'

-- Update LOBC ID in GEM_LOBLookup if 0
UPDATE GEM_LOBLookup SET parentLOBID=@lobcid
  WHERE parentLOBKey='LOBC' AND parentLOBID=0

-- Commit transaction
IF @tcount = 0 
  COMMIT TRAN defect_OW51423


