-- $Header:   //Archive/PVCSROOT/Archive/DB/sql/ProcessedDB2Discovery_Index.sqv   1.0   Sep 07 2001 16:50:04   Forthman  $
--
-- ProcessedDB2Discovery_Index.sql
--
-- Module description
--   Creates Index on ProcessedDB2Discovery
--

Use Object
GO

-----------------------------------------------
-- ProcessedDB2Discovery_b_c_n_i

PRINT 'create index ProcessedDB2Discovery_b_c_n_i'
GO
/*
  SELECT @obj_cid = obj_cid, @obj_id = obj_id, @obj_name = obj_name
  FROM ProcessedDB2Discovery
  WHERE batchid = @batchid AND obj_cid = @cid_discovered AND obj_name = @obj_name
*/

IF NOT EXISTS ( SELECT * FROM sysindexes WHERE name LIKE 'ProcessedDB2Discovery_b_c_n_i' )
  CREATE INDEX ProcessedDB2Discovery_b_c_n_i ON ProcessedDB2Discovery ( batchid, obj_cid, obj_name, obj_id)
GO

