-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/ResetOPCLoad.sqv   1.0   Aug 09 2001 10:47:52   BRENT  $
--
-- ResetOPCLoad.sql
--
-- Module Description
--   Defines the ResetOPCLoad stored procedure

USE Object
GO


---------------------------------------------------------------------------------------------------
-- ResetOPCLoad
PRINT 'Creating procedure ResetOPCLoad'
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'ResetOPCLoad' AND type = 'P')
  DROP PROCEDURE ResetOPCLoad
GO

-- $Archive:   //ARCHIVE/Archive_NLS/DB/SQL/ResetOPCLoad.sqv  $
-- $Revision:   1.0  $
-- $Date:   Aug 09 2001 10:47:52  $
-- $Author:   BRENT  $
-- Clears all tables in the OPCLoad database
CREATE PROCEDURE ResetOPCLoad
AS
  TRUNCATE TABLE dyn_obj_path
  TRUNCATE TABLE dyn_obj_path_detail
  TRUNCATE TABLE dyn_obj_path_hist
  TRUNCATE TABLE opc_app_aggr
  TRUNCATE TABLE opc_app_instance
  TRUNCATE TABLE opc_app_path_aggr
  TRUNCATE TABLE opc_app_path_detail
  TRUNCATE TABLE opc_app_pattern
  TRUNCATE TABLE opc_op_pattern
  TRUNCATE TABLE opc_predecessor
  TRUNCATE TABLE opc_app_new_instance

  DELETE FROM opc_operation
  DELETE FROM opc_application
  DELETE FROM opc_daily_plan
GO
