-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/ResetOpcPatterns.sqv   1.1   Aug 09 2001 10:50:46   BRENT  $
--
-- ResetOpcPatterns.sql
--
-- Module Description
--   Defines the ResetOpcPatterns stored procedure

USE Object
GO

--------------------------------------------------------------------------------------------
-- ResetOpcPatterns
PRINT 'Creating procedure ResetOpcPatterns'
GO

IF EXISTS ( SELECT * FROM sysobjects WHERE name = 'ResetOpcPatterns' AND type = 'P')
  DROP PROCEDURE ResetOpcPatterns
GO

-- $Archive:   //ARCHIVE/Archive_NLS/DB/SQL/ResetOpcPatterns.sqv  $
-- $Revision:   1.1  $
-- $Date:   Aug 09 2001 10:50:46  $
-- $Author:   BRENT  $
-- Resets the tables containing pattern matching/mapping records for OPC
CREATE PROCEDURE ResetOpcPatterns
AS
  PRINT 'Reseting opc patterns.'
  PRINT 'DELETE FROM opc_app_pattern'
  DELETE FROM opc_app_pattern
  PRINT 'DELETE FROM opc_op_pattern'
  DELETE FROM opc_op_pattern
  PRINT 'DELETE FROM opc_app_path_detail'
  DELETE FROM opc_app_path_detail
  PRINT 'DELETE FROM dyn_obj_path_detail'
  DELETE FROM dyn_obj_path_detail
  PRINT 'DELETE FROM dyn_obj_path'
  DELETE FROM dyn_obj_path
GO
