-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/asisp_processStagedOPCEvents_Audit.sqv   1.0   Aug 01 2001 13:27:22   BRENT  $
--
-- asisp_processStagedOPCEvents_Audit.sql
--
-- Module Description
--   Defines the asisp_processStagedOPCEvents_Audit table.
--   This table is used to trace calls to the asisp_processStagedOPCEvents procedure

USE Object
GO


IF NOT EXISTS (SELECT * FROM sysobjects WHERE name = 'asisp_processStagedOPCEvents_Audit' AND type = 'U')
BEGIN
  PRINT 'Creating table asisp_processStagedOPCEvents_Audit'
  CREATE TABLE asisp_processStagedOPCEvents_Audit
  (
    starttime   DATETIME NOT NULL PRIMARY KEY,
    endtime     DATETIME NULL,
    maxrows     INT NOT NULL,
    result      INT NULL
  )
END
GO
