-- archive/db/sql/ca7eventmap.sql
-- SID: 1.1
-- Date Modified: 01/10/15 15:29:14
--
-- Modify entries in table CA7EventMap with more detail match
--

USE Object
GO

---------------------------------------------------------------------------------------------------
-- CA7EventMap
PRINT 'Updating table CA7EventMap....'
GO
UPDATE CA7EventMap SET WhereClause = 'SCNP-11 JOB%([0-9][0-9]%)%SYS=%SCHID%' WHERE WhereClause like 'SCNP-11%'
UPDATE CA7EventMap SET WhereClause = 'SCRJ-12%JOB%([0-9][0-9]%)%HIGHEST CONDITION CODE = %' WHERE WhereClause = 'SCRJ-12%'
UPDATE CA7EventMap SET WhereClause = 'SIRD-11%JOB%([0-9][0-9]%)%EXECUTION REQUIREMENTS%JCLID=%SYSTEM=%DESC=%SCHID%' WHERE WhereClause = 'SIRD-11%'
UPDATE CA7EventMap SET WhereClause = 'SIRD-11%JOB%([0-9][0-9]%)%NON-EXECUTABLE%SYSTEM=%DESC=%SCHID%' WHERE WhereClause = 'SIRD-11%NON-EXECUTABLE%'
UPDATE CA7EventMap SET WhereClause = 'SMF0-12%JOB%([0-9][0-9]%)%'  WHERE WhereClause = 'SMF0-12%'
UPDATE CA7EventMap SET WhereClause = 'SMF0-19%JOB%([0-9][0-9]%)%'  WHERE WhereClause = 'SMF0-19%'
