-- archive/db/sql/defect_74584.sql
-- SID: 1.1
-- Date Modified: 01/10/16 09:41:51
--
-- Add an entry in table CA7EventMap for FORCE COMPLETE events
--

USE Object
GO

---------------------------------------------------------------------------------------------------
-- CreateCA7EventMapEntry for SCJR-11
PRINT 'Creating CA7 Event Map Entry for SCJR-11'
GO

EXEC _CreateCA7EventMapEntry
  @EventName = 'Status',
  @WhereClause = '%JOB%FORCE COMPLETE%',
  @SearchExp = '\([^ ][^ ]*\) \**[ ]*JOB[= ]\([^ ][^ ]*\) [ ]*(\([0-9][0-9]*\)) \(.*\)\..*',
  @ReplaceExp = "MSG = '\1', JOBNAME = '\2', JOBNUM = '\3', MESSAGEDETAIL = '\4'",
  @MapPriority = 1

GO