-- $Header:   //SamAdams/Archive/DB/sql/SchemaTypes.sqv   1.2   May 21 1997 14:34:56   BRENT  $

-- SchemaTypes.sql - User-defined data types for ASI databases

print 'Defining data types'
go

if not exists (select * from systypes where name='ClassID')
  exec sp_addtype ClassID, 'char(4)', 'NOT NULL'
go

if not exists (select * from systypes where name='DiscoveryInd')
  exec sp_addtype DiscoveryInd, 'char(4)', 'NOT NULL'
go

if not exists (select * from systypes where name='ObjID')
  exec sp_addtype ObjID, 'int', 'NOT NULL'
go

if not exists (select * from systypes where name='ObjName')
  exec sp_addtype ObjName, 'varchar(54)', 'NOT NULL'
go

if not exists (select * from systypes where name='UserID')
  exec sp_addtype UserID, 'char(8)', 'NOT NULL'
go

if not exists (select * from systypes where name='AttrType')
  exec sp_addtype AttrType, int
go

if not exists (select * from systypes where name='SubJobPath')
  exec sp_addtype SubJobPath, 'char(40)'
go

if not exists (select * from systypes where name = 'MethodID')
  exec sp_addtype MethodID, int
go

if not exists (select * from systypes where name = 'MethodName')
  exec sp_addtype MethodName, 'varchar(24)'
go

if not exists (select * from systypes where name = 'LinkType')
  exec sp_addtype LinkType, 'varchar(4)'
go
