-- $Header:   //ARCHIVE/Archive_NLS/DB/SQL/DropObsoleteBatchCycleHistProcs.sqv   1.0   Aug 01 2001 13:29:10   BRENT  $
--
-- DropObsoleteBatchCycleHist.sql
--
-- Module Description
--   Drops obsolete procedures that reference the BatchCycleHist table

USE Object
GO


IF EXISTS (SELECT * FROM sysobjects WHERE name = 'delete_BCJ' AND type = 'P')
BEGIN
  PRINT 'Dropping obsolete procedure delete_BCJ'
  DROP PROCEDURE delete_BCJ
END

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'asisp_createMESG_direct' AND type = 'P')
BEGIN
  PRINT 'Dropping obsolete procedure asisp_createMESG_direct'
  DROP PROCEDURE asisp_createMESG_direct
END

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'SetBCJCurrentState' AND type = 'P')
BEGIN
  PRINT 'Dropping obsolete procedure SetBCJCurrentState'
  DROP PROCEDURE SetBCJCurrentState
END
