-- $Header:   //ARCHIVE/Archive_NLS/db/sql/opc_app_instanceMigrate.sqv   1.1   Aug 02 2001 08:22:50   BRENT  $
--
-- opc_app_instanceMigrate.sql
--
-- Module Description
--   Copies records from the Object database opc_app_instance table to the OPCLoad version

USE Object
GO


-- select name from sysobjects where name like 'opc%instance%'
/*
select 'Object', c.name
from Object..syscolumns c
join Object..sysobjects o on o.id = c.id and o.name = 'opc_app_instance'
order by c.colid

select 'OPCLoad', c.name
from OPCLoad..syscolumns c
join OPCLoad..sysobjects o on o.id = c.id and o.name = 'opc_app_instance'
order by c.colid
*/

-- BEGIN TRAN xxx
TRUNCATE TABLE OPCLoad..opc_app_instance
INSERT INTO OPCLoad..opc_app_instance (plan_name, app_name, ctime, rtime, existing)
  SELECT plan_name, app_name, ctime, rtime, 1 FROM Object..opc_app_instance
-- ROLLBACK TRAN xxx

/*
select 'opcload has ' + cast(count(*) as varchar) + ' rows' from OPCLoad..opc_app_instance
select 'object has ' + cast(count(*) as varchar) + ' rows' from Object..opc_app_instance
*/
